package javaapplication2;

public class Animal {

	private String animalName;
	private Integer animalAge;
	
	public Animal(String animalName, Integer animalAge){
		this.animalAge = animalAge;
		this.animalName = animalName;
	}
	
	public Integer getLifeExpectancy(){
		switch(animalName.charAt(0)){
		   case 'g':
			   return getMammalsAgeExpectancy();
		   case 'p':
			   return getMammalsAgeExpectancy();
		   case 'y':
			   return getMammalsAgeExpectancy();
		   case 'i':
               return getIguanaAgeExpectancy();			   
		   case 't':
			   return getTurtlesAgeExpectancy();
		   case 'e':
			   return getBirdsAgeExpectancy();
		   case 'h':
			   return getBirdsAgeExpectancy();
			default:
				return null;
		}
	}
	
	private Integer getMammalsAgeExpectancy(){
		return (15-animalAge);
	}
	
	private Integer getIguanaAgeExpectancy(){
		return (1/animalAge)*10;
	}
	
	private Integer getTurtlesAgeExpectancy(){
		return (110-animalAge);
	}
	
	private Integer getBirdsAgeExpectancy(){
		return 5;
	}
	
}
