package javaapplication2;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Species {

	private static final Map<String, List<String>> speciesToAnimal = 
			new HashMap<String, List<String>>();
	
	static{
		List<String> mammalAnimals = new ArrayList<String>();
		mammalAnimals.add("goat");mammalAnimals.add("pig");mammalAnimals.add("yack");
		speciesToAnimal.put("mammal", mammalAnimals);
		
		List<String> reptileAnimals = new ArrayList<String>();
		reptileAnimals.add("turtle");reptileAnimals.add("iguana");
		speciesToAnimal.put("reptile", reptileAnimals);
		
		List<String> birds = new ArrayList<String>();
		birds.add("eagle");birds.add("hawk");
		speciesToAnimal.put("bird", birds);
	}
	
	public static List<String> getAnimalsFromSpecies(String species){
		return speciesToAnimal.get(species);
	}
}
